CREATE DATABASE  IF NOT EXISTS `sce_ige` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `sce_ige`;
-- MySQL dump 10.13  Distrib 5.5.16, for Win32 (x86)
--
-- Host: localhost    Database: sce_ige
-- ------------------------------------------------------
-- Server version	5.5.13

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `registro_eventos`
--

DROP TABLE IF EXISTS `registro_eventos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `registro_eventos` (
  `idregistro_eventos` int(11) NOT NULL AUTO_INCREMENT,
  `nomb_evento` varchar(50) DEFAULT NULL,
  `descripcion` longtext,
  `lugar` longtext,
  `fecha_ini` date DEFAULT NULL,
  `hora_ini` time DEFAULT NULL,
  `fecha_fin` date DEFAULT NULL,
  `hora_fin` time DEFAULT NULL,
  `limite` int(11) DEFAULT NULL,
  `asistentes` varchar(45) DEFAULT NULL,
  `img_evento` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`idregistro_eventos`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `registro_eventos`
--

LOCK TABLES `registro_eventos` WRITE;
/*!40000 ALTER TABLE `registro_eventos` DISABLE KEYS */;
INSERT INTO `registro_eventos` VALUES (1,'Exposiciones de titulacion integral 2013','Son seminarios semestrales donde los alumnos de las distintas ingenierias participan y muestran el trabajo desarrollado en sus respectivas residencias estos son evidenciados y reconocidos ante un publico selecto conocedor del tema el cual es participe debates de preguntas y respuestas.\r\n\r\nesto es dirigido por el coordinador de cada area.','Edificio D sala audivisual en el instituto tecnologico de tuxtla gutierrez, Chiapas','2013-09-27','19:00:00','2013-09-27','14:00:00',200,'9','imgseventos/foto0032.jpg'),(2,'Liberacion de residencias profesionales','Se liberaran las residencias profesionales del periodo enero-junio 2013.','Explanada ITTG','2013-06-30','08:30:00','2013-06-30','00:00:00',100,'Todos','imgseventos/foto0004.jpg');
/*!40000 ALTER TABLE `registro_eventos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `asistencia`
--

DROP TABLE IF EXISTS `asistencia`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `asistencia` (
  `idasistencia` int(11) NOT NULL AUTO_INCREMENT,
  `nombre_alumno` varchar(45) DEFAULT NULL,
  `apellidos_alumno` varchar(45) DEFAULT NULL,
  `numero_control` varchar(45) DEFAULT NULL,
  `carrera` varchar(45) DEFAULT NULL,
  `semestre` varchar(45) DEFAULT NULL,
  `idevento` varchar(45) DEFAULT NULL,
  `hora_registro` varchar(45) DEFAULT NULL,
  `idregistro` varchar(45) DEFAULT NULL,
  `fecha` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idasistencia`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `asistencia`
--

LOCK TABLES `asistencia` WRITE;
/*!40000 ALTER TABLE `asistencia` DISABLE KEYS */;
INSERT INTO `asistencia` VALUES (1,'Edgar','Muriel Rivera','09270279','Licenciatura en Informatica','9','1','06:45:25 p.m.',NULL,'18/06/2013'),(2,'Javier','Perez Ortiz','09270282','Licenciatura en Informatica','9','1','06:45:42 p.m.',NULL,'18/06/2013');
/*!40000 ALTER TABLE `asistencia` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `registrados`
--

DROP TABLE IF EXISTS `registrados`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `registrados` (
  `idregistrados` int(11) NOT NULL AUTO_INCREMENT,
  `nombre_alumno` varchar(50) DEFAULT NULL,
  `apellidos_alumno` varchar(45) DEFAULT NULL,
  `numero_control` varchar(50) DEFAULT NULL,
  `semestre` varchar(45) DEFAULT NULL,
  `Carrera` varchar(50) DEFAULT NULL,
  `Horario_registro` varchar(45) DEFAULT NULL,
  `evento_seleccionado` varchar(45) DEFAULT NULL,
  `nombre_evento` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idregistrados`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `registrados`
--

LOCK TABLES `registrados` WRITE;
/*!40000 ALTER TABLE `registrados` DISABLE KEYS */;
INSERT INTO `registrados` VALUES (1,'Edgar','Muriel Rivera','09270279','9','Licenciatura en Informatica',NULL,'1','Exposiciones de titulacion integral ');
/*!40000 ALTER TABLE `registrados` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `registradosc`
--

DROP TABLE IF EXISTS `registradosc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `registradosc` (
  `idregistro` int(11) NOT NULL AUTO_INCREMENT,
  `numero_control` varchar(45) DEFAULT NULL,
  `idevento` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idregistro`)
) ENGINE=InnoDB AUTO_INCREMENT=68 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `registradosc`
--

LOCK TABLES `registradosc` WRITE;
/*!40000 ALTER TABLE `registradosc` DISABLE KEYS */;
INSERT INTO `registradosc` VALUES (49,'09270279','1'),(50,'',''),(51,'09270279','3'),(52,'09270279','2'),(53,'09270279','0'),(54,'09270273','1'),(55,'',''),(56,'',''),(57,'',''),(58,'',''),(59,'',''),(60,'',''),(61,'',''),(62,'',''),(63,'',''),(64,'',''),(65,'09270279','11'),(66,'x','d'),(67,'09270279','5');
/*!40000 ALTER TABLE `registradosc` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `usuarios_internos`
--

DROP TABLE IF EXISTS `usuarios_internos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `usuarios_internos` (
  `id_alumno` int(11) NOT NULL AUTO_INCREMENT,
  `nombre` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `apellidos_alumno` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `nicknam` varchar(45) DEFAULT NULL,
  `contrasenia` varchar(12) CHARACTER SET latin1 COLLATE latin1_bin DEFAULT NULL,
  `numero_control` varchar(10) CHARACTER SET latin1 DEFAULT NULL,
  `carrera` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `semestre` int(11) DEFAULT NULL,
  `correo` varchar(45) CHARACTER SET latin1 DEFAULT NULL,
  `tipo` varchar(10) DEFAULT NULL,
  `telefono` varchar(20) CHARACTER SET latin1 DEFAULT NULL,
  `foto_perfil` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id_alumno`)
) ENGINE=MyISAM AUTO_INCREMENT=21 DEFAULT CHARSET=utf8 COMMENT='esta tabla estara bloqueada para usuarios no autorizados que';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `usuarios_internos`
--

LOCK TABLES `usuarios_internos` WRITE;
/*!40000 ALTER TABLE `usuarios_internos` DISABLE KEYS */;
INSERT INTO `usuarios_internos` VALUES (1,'Edgar','Muriel Rivera','murias','muriel','09270279','Licenciatura en Informatica',9,'EdgarRivera_H1@hotmail.com','user','961-184-50-95','imgsusuarios/user.jpg'),(2,'Javier','Perez Ortiz','jaison','javier','09270282','Licenciatura en Informatica',9,'wolverine_253000@hotmail.com','user',NULL,'imgusuarios/user2.png'),(3,'admin','','admin','m12345','000001','Administrador de eventos',1,NULL,'admin',NULL,NULL),(20,'Alfredo','Martinez Cruz','alfred','123456','09270272','Informatica',9,'fred-ecko@hotmail.com',NULL,'9611007512','');
/*!40000 ALTER TABLE `usuarios_internos` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2013-06-25 17:24:35
